<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>InGameUser</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.User, class: InGameUser">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InGameUser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.User</a></div>
<h1 title="Class InGameUser" class="title">Class InGameUser</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">Heroes.User.InGameUser</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">InGameUser</span>
extends java.lang.Object</pre>
<div class="block">The type InGameUser.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jordan Rey-Jouanchicot</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">InGameUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Instantiates a new In game user.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMoney(int)">addMoney</a></span>&#8203;(int&nbsp;money)</code></th>
<td class="colLast">
<div class="block">Add money to the actual value of money</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLifes()">getLifes</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets lifes value</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLifesP()">getLifesP</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets lifes property</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMoney()">getMoney</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets money value</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMoneyP()">getMoneyP</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets money property</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWave()">getWave</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets wave value.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWaveP()">getWaveP</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets wave value property.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWaveNumber(int)">setWaveNumber</a></span>&#8203;(int&nbsp;wave)</code></th>
<td class="colLast">
<div class="block">Sets wave value</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#takeLifes(int)">takeLifes</a></span>&#8203;(int&nbsp;lifes)</code></th>
<td class="colLast">
<div class="block">Take lifes.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#takeMoney(int)">takeMoney</a></span>&#8203;(int&nbsp;money)</code></th>
<td class="colLast">
<div class="block">Take money from the actual money</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">InGameUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">InGameUser</span>()</div>
<div class="block">Instantiates a new In game user.</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getWaveP()">getWaveP</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javafx.beans.property.IntegerProperty</span>&nbsp;<span class="memberName">getWaveP</span>()</div>
<div class="block">Gets wave value property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the wave value Integerproperty</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getWave()">getWave</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getWave</span>()</div>
<div class="block">Gets wave value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the wave value</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setWaveNumber(int)">setWaveNumber</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setWaveNumber</span>&#8203;(<span class="arguments">int&nbsp;wave)</span></div>
<div class="block">Sets wave value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wave</code> - the wave value</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLifes()">getLifes</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getLifes</span>()</div>
<div class="block">Gets lifes value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the lifes value</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="takeLifes(int)">takeLifes</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">takeLifes</span>&#8203;(<span class="arguments">int&nbsp;lifes)</span></div>
<div class="block">Take lifes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lifes</code> - the lifes which will be taken</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLifesP()">getLifesP</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javafx.beans.property.IntegerProperty</span>&nbsp;<span class="memberName">getLifesP</span>()</div>
<div class="block">Gets lifes property</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the lifes property</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMoney()">getMoney</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getMoney</span>()</div>
<div class="block">Gets money value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the money value</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMoneyP()">getMoneyP</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javafx.beans.property.IntegerProperty</span>&nbsp;<span class="memberName">getMoneyP</span>()</div>
<div class="block">Gets money property</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the money property</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addMoney(int)">addMoney</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addMoney</span>&#8203;(<span class="arguments">int&nbsp;money)</span></div>
<div class="block">Add money to the actual value of money</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>money</code> - the money to add</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="takeMoney(int)">takeMoney</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">takeMoney</span>&#8203;(<span class="arguments">int&nbsp;money)</span></div>
<div class="block">Take money from the actual money</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>money</code> - the money to take</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InGameUser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
